Reject summary for FlaggedRevs gets cut of badly for multibyte chars
Closed, ResolvedPublic

Description

Creating new task for reopen of T85700:

The following edit does not show a edit summary:
https://ru.wikipedia.org/w/index.php?title=Теперь_его_дозор_окончен&diff=70530965&oldid=70479606

Looking at the api: https://ru.wikipedia.org/w/api.php?action=query&prop=revisions&revids=70530965&format=xml
shows the text from message revreview-reject-summary-cur.

The creation of the revision needs a call of Language::truncate to be sure that mulitbyte characters get cuts not in the middle, resulting in missing comment (that is T95353)

Umherirrender updated the task description. (Show Details)
Umherirrender raised the priority of this task from to Needs Triage.
Umherirrender added a subscriber: Umherirrender.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 2 2015, 7:45 AM
Aklapper triaged this task as Low priority.Jun 30 2015, 2:10 PM

Change 329609 had a related patch set uploaded (by Umherirrender):
Truncate for whole multibyte characters

https://gerrit.wikimedia.org/r/329609

matmarex closed this task as Resolved.Jan 4 2017, 9:15 PM
matmarex removed a project: Patch-For-Review.
matmarex added a subscriber: matmarex.

After the patch is deployed (January 17-19), new edits should not be affected by this issue.

Change 329609 merged by jenkins-bot:
Truncate for whole multibyte characters

https://gerrit.wikimedia.org/r/329609

(Actually, it should be fixed for existing edits too, per T95353.)